libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]
Collaboration diagram for xmlpp::exception:
[legend]

List of all members.

## Public Member Functions

| exception (const Glib::ustring& message)
virtual | ~exception () throw ()
virtual const char* | what () const throw ()
virtual void | Raise () const
virtual exception | Clone () const

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) | `[explicit]`

virtual xmlpp::exception::~exception | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

virtual exception xmlpp::exception::Clone | ( |  | ) | const`[final, virtual]`

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual void xmlpp::exception::Raise | ( |  | ) | const`[virtual]`

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual const char* xmlpp::exception::what | ( |  | ) | const throw ()`[virtual]`

The documentation for this class was generated from the following file:

- exceptions/exception.h